PHP 手册
后退 |  | 前进

# apc_define_constants

(PECL)

apc_define_constants -- Defines a set of constants for later retrieval and mass-definition

## 说明

bool apc_define_constants ( string key, array constants [, bool case_sensitive] )

define() is notoriously slow. Since the main benefit of APC is to increase the performance of scripts/applications, this mechanism is provided to streamline the process of mass constant definition.

> 注: To remove a set of stored constants (without clearing the entire cache), an empty array may be passed as the constants parameter, effectively clearing the stored value(s).

## 参数

key

  The key serves as the name of the constant set being stored. This key is used to retrieve the stored constants in apc_load_constants().

constants

  An associative array of constant_name => value pairs. The constant_name must follow the normal constant naming rules. value must evaluate to a scalar value.

case_sensitive

  The default behaviour for constants is to be declared case-sensitive; i.e. CONSTANT and Constant represent different values. If this parameter evaluates to `FALSE` the constants will be declared as case-insensitive symbols.

## 返回值

如果成功则返回 `TRUE`，失败则返回 `FALSE`。

## 范例

例子 1. apc_define_constants() example

`<?php $constants = array( 'ONE' => 1, 'TWO' => 2, 'THREE' => 3, ); apc_define_constants('numbers', $constants); apc_load_constants('numbers'); echo ONE, TWO, THREE; ?>`

上例将输出：

    123

## 参见

apc_load_constants()
define()
constant()
Or the PHP constants reference

后退 | 起点 | 前进
apc_clear_cache | 上一级 | apc_delete